Ubuntu

gdm doesn't start - says, that there is already runing X server

Reported by Debian Bug Importer on 2004-06-25
8
Affects Status Importance Assigned to Milestone
gdm (Debian)
Fix Released
Unknown
gdm (Ubuntu)
Medium
Unassigned

Bug Description

Automatically imported from Debian bug report #251979
http://bugs.debian.org/251979

# Automatically generated email from bts, devscripts version 2.7.95.1
tags 251979 pending

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #251979
http://bugs.debian.org/251979

Debian Bug Importer (debzilla) wrote :
Download full text (4.4 KiB)

Message-ID: <email address hidden>
Date: Tue, 01 Jun 2004 02:02:45 +0300
From: Mantas Kriauciunas <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: gdm doesn't start - says, that there is already runing X server

Package: gdm
Version: 2.4.4.7-3
Severity: grave
Justification: renders package unusable

Hi,

When I upgraded gdm to version 2.4.4.7-1 it stops to work - I always
get gray X screen instead and when I move mouse cursor computer goes to
text mode and this message appears:

There already appears to be an X server running on display :0.
Should I try another display number? If you answer no, I will
attempt to start the server on :0 again.

System reboot with ctrl+alt+del doesn't help - I always get same situation
when gdm tries to start during system startup. Upgrading to 2.4.4.7-3
doesn't help too :( Only downgrading to old gdm version from debian
stable helps, but this version is very old and doesn't contain features,
which I need.

Same bug is reproducible on several systems, but on some system new gdm
works. I think bug is in dependancies - it seems, that gdm should depend
to newer versions of some libraries, but I don't know which libraries I
should upgrade :(

-- System Information:
Debian Release: 3.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.3-1-k7
Locale: LANG=lt_LT, LC_CTYPE=lt_LT

Versions of packages gdm depends on:
ii adduser 3.47 Add and remove users and groups
ii debconf 1.2.23woody1 Debian configuration management sy
ii dpkg 1.10.18 Package maintenance system for Deb
ii gksu 1.0.7-1 graphical frontend to su
ii gnome-session 2.4.1-1 The GNOME 2 Session Manager
ii gnome-terminal [x-termi 2.4.2-5 The GNOME 2 terminal emulator appl
ii libart-2.0-2 2.3.16-5 Library of functions for 2D graphi
ii libatk1.0-0 1.4.1-1 The ATK accessibility toolkit
ii libattr1 2.4.16-1 Extended attribute shared library
ii libbonobo2-0 2.4.3-1 Bonobo CORBA interfaces library
ii libbonoboui2-0 2.4.3-1 The Bonobo UI library
ii libc6 2.3.2.ds1-10 GNU C Library: Shared libraries an
ii libgconf2-4 2.4.0.1-2 GNOME configuration database syste
ii libglade2-0 2.0.1-3woody4 Library to load .glade files at ru
ii libglib2.0-0 2.2.3-0jds1 The GLib library of C routines
ii libgnome2-0 2.4.0-2 The GNOME 2 library - runtime file
ii libgnomecanvas2-0 2.4.0-1 A powerful object-oriented display
ii libgnomeui-0 2.4.0.1-2 The GNOME 2 libraries (User Interf
ii libgnomevfs2-0 2.4.1-2 The GNOME virtual file-system libr
ii libgnomevfs2-common 2.4.1-2 The GNOME virtual file-system libr
ii libgsf-1 1.9.0-1 Structured File Library - runtime
ii libgtk2.0-0 2.2.2-1woody2 The GTK+ graphical user interface
ii ...

Read more...

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Fri, 25 Jun 2004 00:13:08 -0700
From: "Ryan Murray" <email address hidden>
To: <email address hidden>
Subject: tagging 251979

# Automatically generated email from bts, devscripts version 2.7.95.1
tags 251979 pending

Matt Zimmerman (mdz) wrote :

Remove myself from all these CCs now that we have the warty-bugs mailing list

This bug was marked pending, but not closed by the recent gdm upload. Was
it overlooked, or is the bug still present?

--
 - mdz

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Fri, 9 Jul 2004 16:43:44 -0700
From: Matt Zimmerman <email address hidden>
To: <email address hidden>
Subject: Re: gdm doesn't start - says, that there is already runing X server

This bug was marked pending, but not closed by the recent gdm upload. Was
it overlooked, or is the bug still present?

--
 - mdz

On Tue, Jun 01, 2004 at 02:02:45AM +0300, Mantas Kriauciunas wrote:
> When I upgraded gdm to version 2.4.4.7-1 it stops to work - I always
> get gray X screen instead and when I move mouse cursor computer goes to
> text mode and this message appears:

You're running several outdated packages from a backport from somewhere.
There was at least one ABI change in the GNOME 2.4 libraries that did not
have the shlibs file bumped as required, which causes problems like this.

With the upload of 2.6.0.3-1, gdm has been built against the 2.6 versions of
the libraries, all of which have had their shlibs file increased to the
2.6 versions.

> Same bug is reproducible on several systems, but on some system new gdm
> works. I think bug is in dependancies - it seems, that gdm should depend
> to newer versions of some libraries, but I don't know which libraries I
> should upgrade :(

As you are running backport versions from somewhere, I can't even begin to
guess at this. I'd suggest changing your sources.list to be fully unstable
and upgrade to the latest if that's what you want to run. As the dependencies
have all been increased in the current pacakge, I'm closing this bug.

--
Ryan Murray, Debian Developer (<email address hidden>, <email address hidden>)
The opinions expressed here are my own.

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sat, 10 Jul 2004 17:03:37 -0700
From: Ryan Murray <email address hidden>
To: Mantas Kriauciunas <email address hidden>, <email address hidden>
Subject: Re: Bug#251979: gdm doesn't start - says, that there is already runing X server

On Tue, Jun 01, 2004 at 02:02:45AM +0300, Mantas Kriauciunas wrote:
> When I upgraded gdm to version 2.4.4.7-1 it stops to work - I always
> get gray X screen instead and when I move mouse cursor computer goes to
> text mode and this message appears:

You're running several outdated packages from a backport from somewhere.
There was at least one ABI change in the GNOME 2.4 libraries that did not
have the shlibs file bumped as required, which causes problems like this.

With the upload of 2.6.0.3-1, gdm has been built against the 2.6 versions of
the libraries, all of which have had their shlibs file increased to the
2.6 versions.

> Same bug is reproducible on several systems, but on some system new gdm
> works. I think bug is in dependancies - it seems, that gdm should depend
> to newer versions of some libraries, but I don't know which libraries I
> should upgrade :(

As you are running backport versions from somewhere, I can't even begin to
guess at this. I'd suggest changing your sources.list to be fully unstable
and upgrade to the latest if that's what you want to run. As the dependencies
have all been increased in the current pacakge, I'm closing this bug.

--
Ryan Murray, Debian Developer (<email address hidden>, <email address hidden>)
The opinions expressed here are my own.

I think we can consider this bug NOTWARTY, thoughts?

Matt Zimmerman (mdz) wrote :

Agreed, NOTWARTY. Our gdm seems to work fine.

Changed in gdm:
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.